Whamcloud - gitweb
LU-1484 kernel: fix build error with 2.6.18 kernel
authorPeng Tao <tao.peng@emc.com>
Thu, 15 Nov 2012 11:17:20 +0000 (19:17 +0800)
committerOleg Drokin <green@whamcloud.com>
Mon, 17 Dec 2012 05:28:54 +0000 (00:28 -0500)
commit5f3730475a780daa8a2820588c09016d8bff9e67
tree39c03d3e885077ff4bb53a53a7c2e7c031ccc236
parent954c0ff7522b666b328c4a02caa8248a9116f0c9
LU-1484 kernel: fix build error with 2.6.18 kernel

When crossing building 2.6.18 kernel, I always got following
errors:
lustre-release/libcfs/include/libcfs/params_tree.h:107:2:
   error: #error proc_dir_entry->deleted is conflicted
   with proc_dir_entry->pde_users

It is because after commit 76bf16d1, HAVE_PROCFS_USERS and
HAVE_PROCFS_DELETED can both be true on old kernels with
backported code.

Signed-off-by: Peng Tao <tao.peng@emc.com>
Change-Id: I2b420f401f221c619b9643acee2ff54057af0fc9
Reviewed-on: http://review.whamcloud.com/4589
Tested-by: Hudson
Tested-by: Maloo <whamcloud.maloo@gmail.com>
Reviewed-by: Andreas Dilger <andreas.dilger@intel.com>
Reviewed-by: Bobi Jam <bobijam@gmail.com>
libcfs/include/libcfs/params_tree.h